#TYPE:HV700
#Version 2.3
#HW_ECC
rev=`uname -r`
if [ $rev != "6.5.0" ]
then
   exit
fi

chmod 777 ./hw-platform
hw_platform_sts=$(hw-platform)
slay -9 -f fs-etfs-3dsmx35
sleep 1
print Erase all NAND
if [ $hw_platform_sts -eq 0 ] ; then
    chmod 777 ./iplctl-imx35
    ./iplctl-imx35 -e
    ./iplctl-imx35 -b0 -i ipl-mx35-int.bin -l loader.bin
else
    chmod 777 ./iplctl-imx35-HV700
    ./iplctl-imx35-HV700 -e
    ./iplctl-imx35-HV700 -b0 -i ipl-mx35-HV700-int.bin -l loader.bin
fi

print "Flash file system: formatting"
slay -9 -f fs-etfs-3dsmx35
sleep 1
chmod 777 ./fs-etfs-3dsmx35
./fs-etfs-3dsmx35 -r16384 -e -m /fs/etfs
waitfor /dev/etfs2
waitfor /fs/etfs
sleep 1

rm -f /fs/etfs/nvdata/versions/bootloader.txt
rm -f /fs/etfs/nvdata/versions/bootloader2.txt
rm -f /fs/etfs/nvdata/versions/bootloader3.txt
mkdir -p /fs/etfs/nvdata/versions
cp ./ldr_version.txt /fs/etfs/nvdata/versions/bootloader.txt
cp ./ldr_version2.txt /fs/etfs/nvdata/versions/bootloader2.txt
cp ./ldr_source_control.txt /fs/etfs/nvdata/versions/bootloader3.txt
if [ $hw_platform_sts -eq 0 ] ; then
    cp -c ./iplctl-imx35 /fs/etfs/restore/iplctl
else
    cp -c ./iplctl-imx35-HV700 /fs/etfs/restore/iplctl
fi
cp -c ./loader.bin /fs/etfs/restore/.
chmod 777 /fs/etfs/restore/*
